- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTSkew Class Reference
[COLLADA Document Object Model.]

A COLLADA skew. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTSkew:

List of all members.

## Public Member Functions
| FCDTSkew (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTSkew ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the transformation.
FCDParameterAnimatableSkew & | GetSkew ()
| Retrieves the skew value for this transformation.
const FCDParameterAnimatableSkew & | GetSkew () const
void | SetSkew (const FMSkew &_skew)
| Sets the skew value for this transformation.
const FMVector3 & | GetRotateAxis () const
| Retrieves the axis which is rotated.
FMVector3 & | GetRotateAxis ()
| See above.
void | SetRotateAxis (const FMVector3 &axis)
| Sets the axis which is rotated.
const FMVector3 & | GetAroundAxis () const
| Retrieves the axis around which the rotation is done.
FMVector3 & | GetAroundAxis ()
| See above.
void | SetAroundAxis (const FMVector3 &axis)
| Sets the axis around which the rotation is done.
const float & | GetAngle () const
| Retrieves the rotation angle.
float & | GetAngle ()
| See above.
void | SetAngle (float angle)
| Sets the rotation angle.
virtual FMMatrix44 | ToMatrix () const
| Converts the skew into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether the transformation is animated.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the skew.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a skew transformation.

## Detailed Description

A COLLADA skew.

In COLLADA, the skew transformation follows the Renderman convention. A skew is defined by two axis and one angle: the axis which is rotated, the axis around which the rotation is done and the angle of the rotation.

## Constructor & Destructor Documentation

FCDTSkew::FCDTSkew | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the transformation type: SKEW. Parameters:
  | document | The COLLADA document that owns the skew.
  | parent | The visual scene node that contains the skew.

## Member Function Documentation

virtual FCDTransform* FCDTSkew::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a skew transformation. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

const float& FCDTSkew::GetAngle | ( |  | ) | const`[inline]`

| Retrieves the rotation angle. Returns: The rotation angle.

FCDAnimated* FCDTSkew::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the skew. Returns: FCollada doesn't support animated skews: NULL. Reimplemented from FCDTransform.

const FMVector3& FCDTSkew::GetAroundAxis | ( |  | ) | const`[inline]`

| Retrieves the axis around which the rotation is done. Returns: The rotation axis.

const FMVector3& FCDTSkew::GetRotateAxis | ( |  | ) | const`[inline]`

| Retrieves the axis which is rotated. Returns: The rotated axis.

FCDParameterAnimatableSkew& FCDTSkew::GetSkew | ( |  | ) | `[inline]`

| Retrieves the skew value for this transformation. Returns: The skew value.

virtual Type FCDTSkew::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the transformation. Returns: The class type: SKEW. Implements FCDTransform.

virtual bool FCDTSkew::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether the transformation is animated. Returns: FCollada doesn't support animated skews: false. Implements FCDTransform.

void FCDTSkew::SetAngle | ( | float | angle | ) | `[inline]`

  | Sets the rotation angle. Parameters:
  | _angle | The rotation angle.

void FCDTSkew::SetAroundAxis | ( | const FMVector3 & | axis | ) | `[inline]`

  | Sets the axis around which the rotation is done. Parameters:
  | axis | The rotation axis.

void FCDTSkew::SetRotateAxis | ( | const FMVector3 & | axis | ) | `[inline]`

  | Sets the axis which is rotated. Parameters:
  | axis | The rotated axis.

void FCDTSkew::SetSkew | ( | const FMSkew & | _skew | ) | `[inline]`

  | Sets the skew value for this transformation. Parameters:
  | _skew | A skew value.

virtual FMMatrix44 FCDTSkew::ToMatrix | ( |  | ) | const`[virtual]`

| Converts the skew into a matrix. Returns: The transformation matrix. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h